io.vertx.kafka.admin

## Class ClusterDescription

- java.lang.Object
- - io.vertx.kafka.admin.ClusterDescription

-     public class ClusterDescription
      extends Object

  A detailed description of the cluster

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterDescription()` Constructor
    `ClusterDescription(JsonObject json)` Constructor (from JSON representation)
    `ClusterDescription(String clusterId, Node controller, List<Node> nodes)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClusterDescription` | `addNode(Node node)` Add a node belonging to this cluster to the current node list.
    `String` | `getClusterId()`
    `Node` | `getController()`
    `List<Node>` | `getNodes()`
    `ClusterDescription` | `setClusterId(String clusterId)` Set the cluster ID
    `ClusterDescription` | `setController(Node controller)` Set the controller node.
    `ClusterDescription` | `setNodes(List<Node> nodes)` Set the nodes belonging to this cluster
    `JsonObject` | `toJson()` Convert object to JSON representation
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterDescription

          public ClusterDescription()

      Constructor

    - #### ClusterDescription

          public ClusterDescription(String clusterId,
                                    Node controller,
                                    List<Node> nodes)

      Constructor
      Parameters:
        `clusterId` - The cluster ID.
        `controller` - The controller node.
        `nodes` - A collection of nodes belonging to this cluster.

    - #### ClusterDescription

          public ClusterDescription(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getNodes

          public List<Node> getNodes()

      Returns:
        the nodes belonging to this cluster.

    - #### setNodes

          public ClusterDescription setNodes(List<Node> nodes)

      Set the nodes belonging to this cluster
      Parameters:
        `nodes` - the nodes
      Returns:
        current instance of the class to be fluent

    - #### addNode

          public ClusterDescription addNode(Node node)

      Add a node belonging to this cluster to the current node list.
      Parameters:
        `node` - the node to add
      Returns:
        current instance of the class to be fluent

    - #### getController

          public Node getController()

      Returns:
        the controller node.

    - #### setController

          public ClusterDescription setController(Node controller)

      Set the controller node.
      Parameters:
        `controller` - the controller node
      Returns:
        current instance of the class to be fluent

    - #### getClusterId

          public String getClusterId()

      Returns:
        the cluster ID

    - #### setClusterId

          public ClusterDescription setClusterId(String clusterId)

      Set the cluster ID
      Parameters:
        `clusterId` -
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.